%define name quick-lounge-applet
%define version 2.14.0
%define release %mkrel 1

Summary:   GNOME Applications panel grouping applet
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPLv2
Group:     Graphical desktop/GNOME
URL:       http://quick-lounge.sourceforge.net/
Source0:   ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libpanel-applet-devel gnome-menus-devel gnome-desktop-devel perl-XML-Parser

Requires(post,preun): GConf2

%description
The Quick Lounge applet is an applet for the GNOME Panel.
With this applet you can organize your preferred applications 
in a single place. You can add spaces between applications, they 
can be used to group together applications with similar tasks.

When the applet size exceeds the available space a menu containing the 
remaing launchers is created. The menu can be accessed pressing the arrow 
button located at the end of the applet. The menu displays spaces 
as separators.

%prep
%setup -q

%build
autoreconf -f 
%configure2_5x --disable-schemas-install

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std


%find_lang %{name} 

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas quick-lounge
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas quick-lounge

%postun
%clean_icon_cache hicolor


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc NEWS AUTHORS ChangeLog COPYING README
%{_sysconfdir}/gconf/schemas/*.schemas
%{_libdir}/%{name}
%{_libdir}/bonobo/servers/*.server
%{_datadir}/gnome-2.0/ui/*
%_datadir/gnome/help/*
%_datadir/%{name}
%_datadir/icons/hicolor/*/apps/%{name}.png


%changelog
* Wed Apr 22 2009 slick50 <lxgator@gmail.org> 2.14.0-1pclos2007
- Initial build
